﻿@using System.Web.UI.WebControls
@using Portal.Models.Globals;


<table border="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
            setting => {
                setting.Text = "Supplier Code";
                setting.Width = Unit.Pixel(80);
            }).GetHtml()
        </td>
        <td style="padding-right:8px;">
            @Html.Common().DevExpress().GridLookup(
                Grl => {
                    Grl.Name = "grlSupplier";
                    Grl.Width = 240;
                    Grl.ShowDescription = false;
                    Grl.DescriptionWidth = Unit.Pixel(240);
                    Grl.GridProperties.KeyFieldName = "SUPP_CD";
                    Grl.GridProperties.CallbackRouteValues = new { Controller = "SupplierPerformanceStatus", Action = "GridLookupSupplier" };
                    Grl.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    //if (Model.GetModel<List<SupplierICS>>().Count == 1) 
                    //    {
                    //        Grl.Text = Model.GetModel<List<SupplierICS>>()[0].SUPP_CD;
                    //        Grl.ShowDescriptionText = Model.GetModel<List<SupplierICS>>()[0].SUPP_NAME;
                    //    }
                    
                    Grl.GridProperties.Columns.Add(
                        Clm => {
                            Clm.Name = "SUPP_CD";
                            Clm.FieldName = "SUPP_CD";
                            Clm.Caption = "Supplier<br />Code";
                            Clm.Width = Unit.Pixel(80);
                            Clm.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            Clm.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    Grl.GridProperties.Columns.Add(
                        Clm => {
                            Clm.Name = "SUPP_NAME";
                            Clm.FieldName = "SUPP_NAME";
                            Clm.Caption = "Supplier Name";
                            Clm.Width = Unit.Pixel(320);
                            Clm.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                            Clm.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    //// authorization code
                    //int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("SupplierPerformance", "grlSupplier");

                    //switch (auth)
                    //{
                    //    case 0:
                    //        Grl.ReadOnly = true;
                    //        break;
                    //    case 1:
                    //        Grl.ReadOnly = true;
                    //        break;
                    //    case 2:
                    //        Grl.ReadOnly = false;
                    //        break;
                    //    default:
                    //        Grl.ReadOnly = false;
                    //        break;
                    //}
            }).Bind(Model.GetModel<List<SupplierICS>>()).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
            setting => {
                setting.Text = "Production Month";
                setting.Width = Unit.Pixel(100);
            }).GetHtml()
        </td>


        <td>
             <input type="text" id="TxtProdMonth" name="TxtProdMonth" class="mtz-monthpicker-widgetcontainer" style="width:115px; font-size:small;" />
        </td>


        @*add by fid.goldy*@
           @* <td>
            @Html.DevExpress().Label(
            setting => {
                setting.Text = "To";
                setting.Width = Unit.Pixel(20);
            }).GetHtml()
        </td>


        <td>
             <input type="text" id="TxtProdMonthTo" name="TxtProdMonth" class="mtz-monthpicker-widgetcontainer" style="width:115px; font-size:small;" />
        </td>*@
        @*end add by goldy*@
        <td style="width:100%"></td>
        <td style="width:80px">
            @Html.DevExpress().Button(
            Btn =>
            {
                Btn.Name = "BtnSearch";
                Btn.Text = "Search";
                Btn.Width = Unit.Pixel(80);
                Btn.ClientSideEvents.Click = "OnClickSearch";
            }).GetHtml()
        </td>
        <td style="width:80px">
            @Html.DevExpress().Button(
            Btn =>
            {
                Btn.Name = "BtnClear";
                Btn.Text = "Clear";
                Btn.Width = Unit.Pixel(80);
                Btn.ClientSideEvents.Click = "OnClickClear";
            }).GetHtml()
        </td>
    </tr>
</table>